evalgate
Create evalgate discover diversity
Requires scopes: reports:write
POST
/
api
/
evalgate
/
discover-diversity
Create evalgate discover diversity
curl --request POST \
--url https://evalgate.com/api/evalgate/discover-diversity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"specs": [
{
"id": "<string>",
"name": "<string>",
"file": "<string>",
"hasAssertions": true,
"usesModels": true,
"usesTools": true,
"complexity": "medium",
"tags": [
"<string>"
],
"fingerprintText": "<string>"
}
],
"threshold": 123
}
'import requests
url = "https://evalgate.com/api/evalgate/discover-diversity"
payload = {
"specs": [
{
"id": "<string>",
"name": "<string>",
"file": "<string>",
"hasAssertions": True,
"usesModels": True,
"usesTools": True,
"complexity": "medium",
"tags": ["<string>"],
"fingerprintText": "<string>"
}
],
"threshold": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
specs: [
{
id: '<string>',
name: '<string>',
file: '<string>',
hasAssertions: true,
usesModels: true,
usesTools: true,
complexity: 'medium',
tags: ['<string>'],
fingerprintText: '<string>'
}
],
threshold: 123
})
};
fetch('https://evalgate.com/api/evalgate/discover-diversity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"specCount": 123,
"diversity": {
"score": 123,
"averageNearestNeighborSimilarity": 123,
"redundantPairs": [
{
"leftSpecId": "<string>",
"leftName": "<string>",
"rightSpecId": "<string>",
"rightName": "<string>",
"similarity": 123
}
],
"threshold": 123
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
Create evalgate discover diversity
